package fpmon.chart;

import info.monitorenter.gui.chart.Chart2D;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;

/**
 * A chart with text antialiasing turned on.
 *
 * @author Miles Asvachin
 */
public final class AAChart2D extends Chart2D
{
	@Override
	protected synchronized void paintComponent(final Graphics g)
	{
		if(isUseAntialiasing() && g instanceof Graphics2D)
		{
			final Graphics2D g2d = (Graphics2D)g;

			g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
		}
		
		super.paintComponent(g);
	}
}
