package fpmon.stats;

import java.awt.Color;
import org.hyperic.sigar.SigarProxy;

/**
 * Collects one or more statistics and displays them.
 * 
 * @author Miles Asvachin
 */
abstract public class StatCollector
{
	protected Color backgroundColor = Color.BLACK;
	protected Color foregroundColor = Color.WHITE;
	
	/**
	 * Collect the stats and display them.
	 * 
	 * @param sigar the Sigar with which to gather the stats
	 */
	abstract protected void update(final SigarProxy sigar);
}
